import 'package:remedi_vimeo_player/vimeo/data/remote/auth_api_service.dart';
import 'package:remedi_vimeo_player/vimeo/data/remote/none_auth_api_service.dart';
import 'package:remedi_vimeo_player/vimeo/vimeo_video.dart';

class Vimeo {
  final String videoId;
  final String? accessKey;

  Vimeo(
    this.videoId, {
    this.accessKey,
  });
}

extension ExtensionVimeo on Vimeo {
  Future<dynamic> get video async {
    if (accessKey?.isEmpty ?? true) {
      return _noneAuth;
    }

    return _auth;
  }

  Future<dynamic> get _auth async {
    try {
      var res = await AuthApiService()
          .getVimeoData(accessKey: accessKey!, id: videoId);
      return await VimeoVideo.fromJsonAuth(
          videoId: videoId,
          accessKey: accessKey!,
          json: (res as Map<String, dynamic>));
    } catch (e) {
      return e;
    }
  }

  Future<dynamic> get _noneAuth async {
    try {
      var res = await NoneAuthApiService().getVimeoData(id: videoId);
      return await VimeoVideo.fromJsonNoneAuth(res as Map<String, dynamic>);
    } catch (e) {
      return e;
    }
  }
}
